OGRE-Next: Ogre::AtomicObject< T > Class Template Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::AtomicObject< T > Class Template Reference
Core » General

`#include <OgreAtomicObject.h>`

## Public Member Functions
| AtomicObject ()
| AtomicObject (const AtomicObject< T > &cousin)
| AtomicObject (const T &initial)
bool | cas (const T &old, const T &nu)
T | get () const
T | operator++ ()
T | operator++ (int)
T | operator+= (const T &add)
T | operator-- (int)
T | operator-= (const T &sub)
void | operator= (const AtomicObject< T > &cousin)
void | set (const T &v)

## Constructor & Destructor Documentation

## ◆ AtomicObject() [1/3]

template<class T>

Ogre::AtomicObject< T >::AtomicObject | ( | const T & | initial | ) |
| inline

Referenced by AtomicObject(), and operator=().

## ◆ AtomicObject() [2/3]

template<class T>

Ogre::AtomicObject< T >::AtomicObject | ( | const AtomicObject< T > & | cousin | ) |
| inline

References AtomicObject(), and get().

## ◆ AtomicObject() [3/3]

template<class T>

Ogre::AtomicObject< T >::AtomicObject | ( |  | ) |
| inline

## Member Function Documentation

## ◆ cas()

template<class T>

bool Ogre::AtomicObject< T >::cas | ( | const T & | old,
|  | const T & | nu )
| inline

References OGRE_LOCK_AUTO_MUTEX.

## ◆ get()

template<class T>

T Ogre::AtomicObject< T >::get | ( |  | ) | const
| inline

References OGRE_LOCK_AUTO_MUTEX.

Referenced by AtomicObject(), and operator=().

## ◆ operator++() [1/2]

template<class T>

T Ogre::AtomicObject< T >::operator++ | ( |  | ) |
| inline

References OGRE_LOCK_AUTO_MUTEX.

## ◆ operator++() [2/2]

template<class T>

T Ogre::AtomicObject< T >::operator++ | ( | int |  | ) |
| inline

References OGRE_LOCK_AUTO_MUTEX.

## ◆ operator+=()

template<class T>

T Ogre::AtomicObject< T >::operator+= | ( | const T & | add | ) |
| inline

References OGRE_LOCK_AUTO_MUTEX.

## ◆ operator--()

template<class T>

T Ogre::AtomicObject< T >::operator-- | ( | int |  | ) |
| inline

References OGRE_LOCK_AUTO_MUTEX.

## ◆ operator-=()

template<class T>

T Ogre::AtomicObject< T >::operator-= | ( | const T & | sub | ) |
| inline

References OGRE_LOCK_AUTO_MUTEX.

## ◆ operator=()

template<class T>

void Ogre::AtomicObject< T >::operator= | ( | const AtomicObject< T > & | cousin | ) |
| inline

References AtomicObject(), get(), and set().

## ◆ set()

template<class T>

void Ogre::AtomicObject< T >::set | ( | const T & | v | ) |
| inline

References OGRE_LOCK_AUTO_MUTEX.

Referenced by operator=().

The documentation for this class was generated from the following file:

- OgreAtomicObject.h